Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.simulation.plot
Class Series

    |
    +--biouml.plugins.simulation.plot.Series

public class Series
extends Option

Constructor Summary
`Series()`
`Series(String name)`

Method Summary
`String` | `getLegend()`
`String` | `getName()`
`String` | `getPlotName()`
`String` | `getSimulationResult()`
`String` | `getSpec()`
`String` | `getXVar()`
`String` | `getYVar()`
`void` | `setLegend(String legend)`
`void` | `setName(String name)`
`void` | `setPlotName(String plotName)`
`void` | `setSimulationResult(String simulationResult)`
`void` | `setSpec(String spec)`
`void` | `setXVar(String xVar)`
`void` | `setYVar(String yVar)`

Constructor Detail

### Series

    public Series()

### Series

    public Series(String name)

Method Detail

### getLegend

    public String getLegend()

### getName

    public String getName()

### getPlotName

    public String getPlotName()

### getSimulationResult

    public String getSimulationResult()

### getSpec

    public String getSpec()

### getXVar

    public String getXVar()

### getYVar

    public String getYVar()

### setLegend

    public void setLegend(String legend)

### setName

    public void setName(String name)

### setPlotName

    public void setPlotName(String plotName)

### setSimulationResult

    public void setSimulationResult(String simulationResult)

### setSpec

    public void setSpec(String spec)

### setXVar

    public void setXVar(String xVar)

### setYVar

    public void setYVar(String yVar)

Association Links

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

  Name of variable in simulation result set that is used as X variable.

to Class java.lang.String

  Name of variable in simulation result set that is used as Y variable.

to Class java.lang.String

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM